| OpenCV 4.3.0 Open Source Computer Vision

Public Member Functions | Protected Attributes | List of all members
cv::optflow::OpticalFlowPCAFlow Class Reference
Optical Flow Algorithms

PCAFlow algorithm. More...

`#include <opencv2/optflow/pcaflow.hpp>`

Inheritance diagram for cv::optflow::OpticalFlowPCAFlow:

## Public Member Functions
| OpticalFlowPCAFlow (Ptr< const PCAPrior > _prior=Ptr< const PCAPrior >(), const Size _basisSize=Size(18, 14), float _sparseRate=0.024, float _retainedCornersFraction=0.2, float _occlusionsThreshold=0.0003, float _dampingFactor=0.00002, float _claheClip=14)
| Creates an instance of PCAFlow algorithm. More...
void | calc (InputArray I0, InputArray I1, InputOutputArray flow) CV_OVERRIDE
| Calculates an optical flow. More...
void | collectGarbage () CV_OVERRIDE
| Releases all inner buffers. More...
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state. More...
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read. More...
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage. More...
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage. More...
void | write (const Ptr< FileStorage > &fs, const String &name=String()) const
| simplified API for language bindings This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...

## Protected Attributes
const Size | basisSize
const float | claheClip
const float | dampingFactor
const float | occlusionsThreshold
const Ptr< const PCAPrior > | prior
const float | retainedCornersFraction
const float | sparseRate
bool | useOpenCL

## Additional Inherited Members
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file. More...
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String. More...
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node. More...
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Detailed Description

PCAFlow algorithm.

## Constructor & Destructor Documentation

## ◆ OpticalFlowPCAFlow()

cv::optflow::OpticalFlowPCAFlow::OpticalFlowPCAFlow | ( | Ptr< const PCAPrior > | _prior = `Ptr< const PCAPrior >()`,
|  | const Size | _basisSize = `Size(18, 14)`,
|  | float | _sparseRate = `0.024`,
|  | float | _retainedCornersFraction = `0.2`,
|  | float | _occlusionsThreshold = `0.0003`,
|  | float | _dampingFactor = `0.00002`,
|  | float | _claheClip = `14`
| ) |  |

Creates an instance of PCAFlow algorithm.

Parameters

  _prior | Learned prior or no prior (default).

See also
  cv::optflow::PCAPrior

Parameters

  _basisSize | Number of basis vectors.
  _sparseRate | Controls density of sparse matches.
  _retainedCornersFraction | Retained corners fraction.
  _occlusionsThreshold | Occlusion threshold.
  _dampingFactor | Regularization term for solving least-squares. It is not related to the prior regularization.
  _claheClip | Clip parameter for CLAHE.

## Member Function Documentation

## ◆ calc()

void cv::optflow::OpticalFlowPCAFlow::calc | ( | InputArray | I0,
|  | InputArray | I1,
|  | InputOutputArray | flow
| ) |  |
| virtual

Calculates an optical flow.

Parameters

  I0 | first 8-bit single-channel input image.
  I1 | second input image of the same size and the same type as prev.
  flow | computed flow image that has the same size as prev and type CV_32FC2.

Implements cv::DenseOpticalFlow.

## ◆ collectGarbage()

void cv::optflow::OpticalFlowPCAFlow::collectGarbage | ( |  | ) |
| virtual

Releases all inner buffers.

Implements cv::DenseOpticalFlow.

## Member Data Documentation

## ◆ basisSize

const Size cv::optflow::OpticalFlowPCAFlow::basisSize
| protected

## ◆ claheClip

const float cv::optflow::OpticalFlowPCAFlow::claheClip
| protected

## ◆ dampingFactor

const float cv::optflow::OpticalFlowPCAFlow::dampingFactor
| protected

## ◆ occlusionsThreshold

const float cv::optflow::OpticalFlowPCAFlow::occlusionsThreshold
| protected

## ◆ prior

const Ptr<const PCAPrior> cv::optflow::OpticalFlowPCAFlow::prior
| protected

## ◆ retainedCornersFraction

const float cv::optflow::OpticalFlowPCAFlow::retainedCornersFraction
| protected

## ◆ sparseRate

const float cv::optflow::OpticalFlowPCAFlow::sparseRate
| protected

## ◆ useOpenCL

bool cv::optflow::OpticalFlowPCAFlow::useOpenCL
| protected

The documentation for this class was generated from the following file:

- opencv2/optflow/pcaflow.hpp